package domain


type AlibabaWdkorderSharestockFulfillGetMaochaoOrderFulfillQueryResult struct {
    /*
        是否调用成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        返回码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        返回码说明     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        履约单列表     */
    FulfillOrderList  *[]AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto `json:"fulfill_order_list,omitempty" `

}

func (s *AlibabaWdkorderSharestockFulfillGetMaochaoOrderFulfillQueryResult) SetSuccess(v bool) *AlibabaWdkorderSharestockFulfillGetMaochaoOrderFulfillQueryResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoOrderFulfillQueryResult) SetReturnCode(v string) *AlibabaWdkorderSharestockFulfillGetMaochaoOrderFulfillQueryResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoOrderFulfillQueryResult) SetReturnMsg(v string) *AlibabaWdkorderSharestockFulfillGetMaochaoOrderFulfillQueryResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkorderSharestockFulfillGetMaochaoOrderFulfillQueryResult) SetFulfillOrderList(v []AlibabaWdkorderSharestockFulfillGetMaochaoWdkOrderFulfillDto) *AlibabaWdkorderSharestockFulfillGetMaochaoOrderFulfillQueryResult {
    s.FulfillOrderList = &v
    return s
}
